/* Formatted on 9-11-2017 16:54:31 (QP5 v5.136.908.31019) */
--
-- $Id$
--
-- Eenmalig acties tbv Import van Besteding

DEFINE thisfile = 'LOGC#51729.SQL'
DEFINE dbuser   = '^LOGC'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;

SELECT adm.scriptspoolfile ('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;

WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

CREATE TABLE logc_imp_besteding
(
    transactietekst   VARCHAR2 (20 BYTE),
    projectnummer     VARCHAR2 (100 BYTE),
    uren              NUMBER (10, 2)
);


INSERT INTO fac_import_app
            (fac_import_app_code, fac_import_app_oms, fac_functie_key, fac_import_app_prefix)
   SELECT 'BESTEDING', 'Administratie: import van SAP/AX urenbesteding', fac_functie_key, 'LOGC'
     FROM fac_functie
    WHERE fac_functie_code = 'WEB_PRSSYS';

------ payload end   ------

SET DEFINE OFF

BEGIN
   adm.systrackscriptId (
      '$Id$',
      1);
END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile